#
# AzuraCast Customization
#

# The application environment.
# Valid options: production, development, testing
APPLICATION_ENV=production

# Prefer release versions over always-updating "rolling" releases.
# Valid options: true, false
PREFER_RELEASE_BUILDS=false

# Enable the composer "merge" functionality to combine the main application's
# composer.json file with any plugins' composer files.
# This can have performance implications, so you should only use it if
# you use one or more plugins with their own Composer dependencies.
# Valid options: true, false
COMPOSER_PLUGIN_MODE=false

# The minimum port number to use when automatically assigning ports to a station.
# By default, this matches the first forwarded port on the "stations" container.
# You can modify this variable if your station port range is different.
# Be sure to also forward the necessary ports via `docker-compose.yml`
# (and nginx, if you want to use the built-in port-80/443 proxy)!
AUTO_ASSIGN_PORT_MIN=8000

# The maximum port number to use when automatically assigning ports to a station.
# See AUTO_ASSIGN_PORT_MIN.
AUTO_ASSIGN_PORT_MAX=8499

#
# Database Configuration
# --
# Once the database has been installed, DO NOT CHANGE these values!
#

# The host to connect to. Leave this as the default value unless you're connecting
#   to an external database server.
# Default: mariadb
MYSQL_HOST=mariadb

# The port to connect to. Leave this as the default value unless you're connecting
#   to an external database server.
# Default: 3306
MYSQL_PORT=3306

# The username AzuraCast will use to connect to the database.
# Default: azuracast
MYSQL_USER=azuracast

# The password AzuraCast will use to connect to the database.
# By default, the database is not exposed to the Internet at all and this is only
#   an internal password used by the service itself.
# Default: azur4c457
MYSQL_PASSWORD=azur4c457

# The name of the AzuraCast database.
# Default: azuracast
MYSQL_DATABASE=azuracast

# Automatically generate a random root password upon the first database spin-up.
#   This password will be visible in the mariadb container's logs.
# Default: yes
MYSQL_RANDOM_ROOT_PASSWORD=yes

#
# Advanced Configuration
#

# PHP's maximum POST body size and max upload filesize.
# PHP_MAX_FILE_SIZE=25M

# PHP's maximum memory limit.
# PHP_MEMORY_LIMIT=128M

# PHP's maximum script execution time (in seconds).
# PHP_MAX_EXECUTION_TIME=30

# Maximum number of PHP-FPM worker processes to spawn.
# PHP_FPM_MAX_CHILDREN=5

# Create additional media sync worker processes.
#   This setting can be used to increase the performance of the media sync process
#   by creating additional worker processes to consume messages
# Default: 0
# ADDITIONAL_MEDIA_SYNC_WORKER_COUNT=0
